Package org.bgerp.plugin.svc.log.model

# Class ActionLogEntry

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.plugin.svc.log.model.ActionLogEntry

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

public class ActionLogEntry extends Id
Action log record.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionLogEntry()`
  `ActionLogEntry(ActionRequestEvent e)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `long`
  `getDuration()`
  `String`
  `getError()`
  `String`
  `getIpAddress()`
  `String`
  `getParameters()`
  `Date`
  `getTime()`
  `int`
  `getUserId()`
  `void`
  `setAction(String action)`
  `void`
  `setDuration(long duration)`
  `void`
  `setError(String error)`
  `void`
  `setIpAddress(String ipAddress)`
  `void`
  `setParameters(String parameters)`
  `void`
  `setTime(Date time)`
  `void`
  `setUserId(int value)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActionLogEntry

    public ActionLogEntry()

  - ### ActionLogEntry

    public ActionLogEntry(ActionRequestEvent e)

- ## Method Details

  - ### getUserId

    public int getUserId()
    Returns:
      user ID.

  - ### setUserId

    public void setUserId(int value)

  - ### getIpAddress

    public String getIpAddress()
    Returns:
      calling IP address.

  - ### setIpAddress

    public void setIpAddress(String ipAddress)

  - ### getAction

    public String getAction()
    Returns:
      semicolon separated action class and method.

  - ### setAction

    public void setAction(String action)

  - ### getParameters

    public String getParameters()
    Returns:
      HTTP request parameters in form of query string.

  - ### setParameters

    public void setParameters(String parameters)

  - ### getTime

    public Date getTime()
    Returns:
      execution start time.

  - ### setTime

    public void setTime(Date time)

  - ### getDuration

    public long getDuration()
    Returns:
      action duration in milliseconds.

  - ### setDuration

    public void setDuration(long duration)

  - ### getError

    public String getError()
    Returns:
      execution error text or empty string for correct execution.

  - ### setError

    public void setError(String error)